#include "utility/logger.h"

Logger* Logger::instance{ nullptr };
std::mutex Logger::mutex;

Logger* Logger::getInstance()
{
	std::lock_guard<std::mutex> lock(mutex);
	if (instance == nullptr)
	{
		instance = new Logger();
	}
	return instance;
}
